<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__fll__manual__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_fll_manual_config_t</compoundname>
    <includes local="no">cy_sysclk.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__fll__manual__config__t_1a93a7114899568aa34c09a288957086fc" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_fll_manual_config_t::fllMult</definition>
        <argsstring />
        <name>fllMult</name>
        <briefdescription>
<para>CLK_FLL_CONFIG register, FLL_MULT bits. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="925" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="925" />
      </memberdef>
      <memberdef id="structcy__stc__fll__manual__config__t_1ab73af796ba57ad3390812c67866ac80a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_fll_manual_config_t::refDiv</definition>
        <argsstring />
        <name>refDiv</name>
        <briefdescription>
<para>CLK_FLL_CONFIG2 register, FLL_REF_DIV bits. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="926" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="926" />
      </memberdef>
      <memberdef id="structcy__stc__fll__manual__config__t_1a38e85bdd8e8189823706aaae0711d6cd" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__sysclk__fll__enums_1gac8760ee841ca24255c9a4fee494b79aa">cy_en_fll_cco_ranges_t</ref></type>
        <definition>cy_en_fll_cco_ranges_t cy_stc_fll_manual_config_t::ccoRange</definition>
        <argsstring />
        <name>ccoRange</name>
        <briefdescription>
<para>CLK_FLL_CONFIG4 register, CCO_RANGE bits. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="927" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="927" />
      </memberdef>
      <memberdef id="structcy__stc__fll__manual__config__t_1a0791fc7e856b2669453d9910e59978e5" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_fll_manual_config_t::enableOutputDiv</definition>
        <argsstring />
        <name>enableOutputDiv</name>
        <briefdescription>
<para>CLK_FLL_CONFIG register, FLL_OUTPUT_DIV bit. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="928" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="928" />
      </memberdef>
      <memberdef id="structcy__stc__fll__manual__config__t_1a99a5cde7d712e279f423ec34bac38ba7" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_fll_manual_config_t::lockTolerance</definition>
        <argsstring />
        <name>lockTolerance</name>
        <briefdescription>
<para>CLK_FLL_CONFIG2 register, LOCK_TOL bits. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="929" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="929" />
      </memberdef>
      <memberdef id="structcy__stc__fll__manual__config__t_1acffd4fd78b822b843d2d050b8de24399" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_fll_manual_config_t::igain</definition>
        <argsstring />
        <name>igain</name>
        <briefdescription>
<para>CLK_FLL_CONFIG3 register, FLL_LF_IGAIN bits. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="930" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="930" />
      </memberdef>
      <memberdef id="structcy__stc__fll__manual__config__t_1afcdb8b94269faa0dd3b304aca6507eca" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_fll_manual_config_t::pgain</definition>
        <argsstring />
        <name>pgain</name>
        <briefdescription>
<para>CLK_FLL_CONFIG3 register, FLL_LF_PGAIN bits. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="931" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="931" />
      </memberdef>
      <memberdef id="structcy__stc__fll__manual__config__t_1add75a5aff415c2167ceabdf7021e8494" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_fll_manual_config_t::settlingCount</definition>
        <argsstring />
        <name>settlingCount</name>
        <briefdescription>
<para>CLK_FLL_CONFIG3 register, SETTLING_COUNT bits. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="932" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="932" />
      </memberdef>
      <memberdef id="structcy__stc__fll__manual__config__t_1a360c2401fd72307f663bdd153fe9a04e" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__sysclk__fll__enums_1ga777e08424e26c9cd8c2602b2114e716b">cy_en_fll_pll_output_mode_t</ref></type>
        <definition>cy_en_fll_pll_output_mode_t cy_stc_fll_manual_config_t::outputMode</definition>
        <argsstring />
        <name>outputMode</name>
        <briefdescription>
<para>CLK_FLL_CONFIG3 register, BYPASS_SEL bits. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="933" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="933" />
      </memberdef>
      <memberdef id="structcy__stc__fll__manual__config__t_1a3f55718d95984c5049016605761ff401" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_fll_manual_config_t::cco_Freq</definition>
        <argsstring />
        <name>cco_Freq</name>
        <briefdescription>
<para>CLK_FLL_CONFIG4 register, CCO_FREQ bits. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="934" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="934" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure containing information for manual configuration of FLL. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="935" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="923" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="924" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__fll__manual__config__t_1a3f55718d95984c5049016605761ff401" virt="non-virtual"><scope>cy_stc_fll_manual_config_t</scope><name>cco_Freq</name></member>
      <member prot="public" refid="structcy__stc__fll__manual__config__t_1a38e85bdd8e8189823706aaae0711d6cd" virt="non-virtual"><scope>cy_stc_fll_manual_config_t</scope><name>ccoRange</name></member>
      <member prot="public" refid="structcy__stc__fll__manual__config__t_1a0791fc7e856b2669453d9910e59978e5" virt="non-virtual"><scope>cy_stc_fll_manual_config_t</scope><name>enableOutputDiv</name></member>
      <member prot="public" refid="structcy__stc__fll__manual__config__t_1a93a7114899568aa34c09a288957086fc" virt="non-virtual"><scope>cy_stc_fll_manual_config_t</scope><name>fllMult</name></member>
      <member prot="public" refid="structcy__stc__fll__manual__config__t_1acffd4fd78b822b843d2d050b8de24399" virt="non-virtual"><scope>cy_stc_fll_manual_config_t</scope><name>igain</name></member>
      <member prot="public" refid="structcy__stc__fll__manual__config__t_1a99a5cde7d712e279f423ec34bac38ba7" virt="non-virtual"><scope>cy_stc_fll_manual_config_t</scope><name>lockTolerance</name></member>
      <member prot="public" refid="structcy__stc__fll__manual__config__t_1a360c2401fd72307f663bdd153fe9a04e" virt="non-virtual"><scope>cy_stc_fll_manual_config_t</scope><name>outputMode</name></member>
      <member prot="public" refid="structcy__stc__fll__manual__config__t_1afcdb8b94269faa0dd3b304aca6507eca" virt="non-virtual"><scope>cy_stc_fll_manual_config_t</scope><name>pgain</name></member>
      <member prot="public" refid="structcy__stc__fll__manual__config__t_1ab73af796ba57ad3390812c67866ac80a" virt="non-virtual"><scope>cy_stc_fll_manual_config_t</scope><name>refDiv</name></member>
      <member prot="public" refid="structcy__stc__fll__manual__config__t_1add75a5aff415c2167ceabdf7021e8494" virt="non-virtual"><scope>cy_stc_fll_manual_config_t</scope><name>settlingCount</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>